<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE struts-config PUBLIC "-//Apache Software Foundation//DTD Struts Configuration 1.1//EN"
                               "http://jakarta.apache.org/struts/dtds/struts-config_1_1.dtd">
<struts-config>
	<!-- ================= -->
	<!-- == FORMULARIOS == -->
	<!-- ================= -->
	<form-beans>
		<!-- ==================================== -->
		<!-- El formulario principal de la pagina -->
		<!-- ==================================== -->
		<form-bean
				name="w83bFormBusqUsuarios"
				type="es.ejie.frmk.presentacion.operacion.datos.Q70OPValidatorForm">
				<form-property name="w83bUsuariosBean" type="w83b.w83bBeans.W83bUsuariosBean"/>
				<form-property name="boton"	type="java.lang.String"/>
				<form-property name="codSelec" type="java.lang.String"/>
				<form-property name="fechaBajaUsuario" type="java.lang.String"/>	
		</form-bean>
		<form-bean
				name="w83bFormNuevoUsuario"
				type="es.ejie.frmk.presentacion.operacion.datos.Q70OPValidatorForm">
				<form-property name="boton"	type="java.lang.String"/>
				<form-property name="w83bUsuariosNuevoBean" type="w83b.w83bBeans.W83bUsuariosBean"/>
				<form-property name="w83bmunicipioImpug" type="java.lang.String" />
		</form-bean>
		<!-- =========== -->
		<!-- El contexto -->
		<!-- =========== -->
		<form-bean
				name="contextoOP"
				type="es.ejie.frmk.presentacion.operacion.datos.Q70ContextoOperacionDePresentacion">
				<form-property name="inyectarUsuarioEnBean" type="java.lang.String" initial="w83bFormBusqUsuarios[w83bUsuariosBean],w83bFormNuevoUsuario[w83bUsuariosNuevoBean]"/>	
				<form-property name="strTitleKeyPpal" type="java.lang.String" initial="comun.menu.mantenimientos.usuarios"/>
				<form-property name="strTitleKey" type="java.lang.String" initial="comun.usuarios.filtro"/>			   
				<form-property name="migas" type="java.lang.String" initial ="inicio.mantenimiento.usuarios"/>
				<form-property name="w83bUsuariosBean" type="w83b.w83bBeans.W83bUsuariosBean"/>
				<form-property name="action" type="java.lang.String" initial="B"/>
				<form-property name="modoPantalla" type="java.lang.String" initial="B"/>
				<form-property name="w83bListaUsuarios" type="java.util.List"/>	
				<form-property name="w83bUsuariosTempBean" type="w83b.w83bBeans.W83bUsuariosBean"/>		
				<form-property name="busqRealizada" type="java.lang.String" initial="false"/>	
				<form-property name="w83bListaCod" type="java.util.List"/>		
				<form-property name="w83bUsuariosNuevoBean" type="w83b.w83bBeans.W83bUsuariosBean"/>
				<form-property name="boton" type="java.lang.String"/>
				<form-property name="codSelec" type="java.lang.String"/>	
				<form-property name="subOpFlag" type="java.lang.String" initial="convenios"/>
				<form-property name="w83bResultado" type="java.lang.String"/>
				<form-property name="w83bUsuariosNuevoBeanSalida" type="w83b.w83bBeans.W83bUsuariosBean"/>
				<form-property name="w83bUsuariosNuevoTempBean" type="w83b.w83bBeans.W83bUsuariosBean"/>
				<form-property name="w83bprovinciaImpug" type="java.lang.String"/>	
				<form-property name="w83bNuevaListaDelegadoBean" type="w83b.w83bBeans.W83bListaDelegadosBean"/>
				<form-property name="codProvincia" type="java.lang.String"/>
				<form-property name="fechaBajaUsuario" type="java.lang.String"/>
				<form-property name="w83bDniBuscar" type="java.lang.String"/>
				
				
		</form-bean>
	</form-beans>
	<!-- ============== -->
	<!-- == ACCIONES == -->
	<!-- ============== -->
	<action-mappings type="es.ejie.frmk.presentacion.base.Q70PasosOPMapping">
   		<!-- =============== -->
		<!-- Mostrar paginas -->
		<!-- =============== -->
		<action
				path ="/w83bInicioBusquedaUsuariosMenu" forward="paginaUsuariosMenu"/>
		<action
				path ="/w83bInicioAnyadirUsuariosMenu" forward="paginaAnyadirUsuarioMenu"/>
		
		<!-- ======== -->
		<!-- Entradas -->
		<!-- ======== -->
		
		<!-- =============== -->
		<!-- Dispatch menus -->
		<!-- =============== -->
			<action
				path="/w83bDispatch"
				name="w83bFormBusqUsuarios"
				scope="request"
				validate="false"
				parameter="boton"
				i18nKey="w83bcomun"
				type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionLookupDispatchOP">
<!--				<forward-->
<!--					name="comun.boton.buscar"-->
<!--					path="/w83bBusqConvenios.do"/>-->
				<forward
					name="comun.boton.anyadir"
					path="/w83bTablaUsuariosIraNuevo.do"/>
				<forward
					name="comun.boton.editar"
					path="/w83bTablaUsuariosDetalle.do"/>
				<forward
					name="comun.boton.borrar"
					path="/w83bTablaUsuariosBorrar.do"/>
				<forward
					name="comun.boton.exportaraExcel"
					path="/w83bTablaUsuariosExcel.do"/>
				<forward
					name="comun.boton.atras"
					path="/w83bAtrasUsuariosBusq.do"/>
				<forward
					name="comun.boton.consultar"
					path="/w83bTablaUsuariosDetalle.do"/>
		</action>
			<action
				path="/w83bDispatchNuevo"
				name="w83bFormNuevoUsuario"
				scope="request"
				validate="false"
				parameter="boton"
				i18nKey="w83bcomun"
				type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionLookupDispatchOP">
				<forward
					name="comun.boton.editar"
					path="/w83bMovimientoUsuarios.do"/>
				<forward
					name="comun.boton.guardar"
					path="/w83bAltaUsuario.do"/>
				<forward
					name="comun.boton.atras"
					path="/w83bTablaUsuariosAtrasNuevoEdicion.do"/>
		</action>
		
		<action path="/w83bTablaUsuariosOP" scope="request" type="w83b.w83bOperacionesPaso.w83bMantenimientos.w83bUsuarios.W83bTablaUsuariosOPAction" 
			 validate="false">
			<forward name="find" path="/w83bBusqUsuarios.do"/>
			<forward name="ok" path="/w83bTablaUsuariosOutOP.do"/>
			<forward name="outOP" path="/w83bTablaUsuariosOutOP.do"/>
			<forward name="error" path="/w83bInicioBusquedaUsuariosMenu.do"/>
		</action>
		
		<action path="/w83bTablaUsuariosOutOP" 
		 scope="request" type="w83b.w83bOperacionesPaso.w83bMantenimientos.w83bUsuarios.W83bTablaUsuariosOutOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bInicioBusquedaUsuariosMenu.do"/>
			<forward name="error" path="/w83bInicioBusquedaUsuariosMenu.do"/>
		</action>
		
		<action path="/w83bTablaUsuariosExcel" 
		name="w83bFormBusqUsuarios" scope="request" type="w83b.w83bOperacionesPaso.w83bMantenimientos.w83bUsuarios.W83bTablaUsuariosExcelAction" 
			 validate="false">
		</action>	
		
		
		<action path="/w83bExisteUsuarioOP" scope="request" type="w83b.w83bOperacionesPaso.w83bMantenimientos.w83bUsuarios.W83bBuscarUsuarioDniOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bBusqUsuariosDNI.do"/>
		</action>
		
		<action path="/w83bExisteUsuarioOutOP" 
		 scope="request" type="w83b.w83bOperacionesPaso.w83bMantenimientos.w83bUsuarios.W83bBuscarUsuarioDniOutOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bInicioBusquedaUsuariosMenu.do"/>
			<forward name="error" path="/w83bInicioBusquedaUsuariosMenu.do"/>
		</action>	
		
		<!-- =============== -->
		<!-- Fin Dispatch menus -->
		<!-- =============== -->
		
		<!-- Operaciones de Paso -->
		<action path ="/w83bBusqUsuarios" 
			 parameter="w83bBusqUsuariosOI" 
			 validate="false" 
			 input="/w83bInicioBusquedaUsuariosMenu.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bTablaUsuariosOutOP.do" />
					<forward name="error" path="/w83bInicioBusquedaUsuariosMenu.do" />
		</action>
		<action path ="/w83bBusqUsuariosDNI" 
			 parameter="w83bBusqUsuariosDNIOI" 
			 validate="false" 
			 input="/w83bInicioBusquedaUsuariosMenu.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bExisteUsuarioOutOP.do" />
					<forward name="error" path="/w83bInicioBusquedaUsuariosMenu.do" />
		</action>
<!--		<action path="/w83bTablaUsuariosBorrarOP" scope="request" type="w83b.w83bOperacionesPaso.w83bMantenimientos.w83bUsuarios.W83bTablaUsuariosBorrarOPAction" -->
<!--			 validate="false">-->
<!--			<forward name="ok" path="/w83bTablaUsuariosBorrar.do"/>-->
<!--			<forward name="error" path="/w83bInicioBusquedaUsuariosMenu.do"/>-->
<!--		</action>-->
		<action path ="/w83bTablaUsuariosBorrar" 
			 parameter="w83bBorrarUsuariosOI" 
			 validate="false"
			 input="/w83bInicioBusquedaUsuariosMenu.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bTablaUsuariosAtrasNuevoEdicion.do" /><!-- funciona w83bInicioBusquedaUsuariosMenu.do -->
					<forward name="error" path="/w83bInicioAnyadirUsuariosMenu" />
		</action>
<!--		<action path="/w83bUsuariosComprobarAsociacionOutOP" scope="request" type="w83b.w83bOperacionesPaso.w83bMantenimientos.w83bUsuarios.W83bUsuariosComprobarAsociacionOutOPAction" -->
<!--			 validate="false">-->
<!--		</action>-->
		<action path="/w83bTablaUsuariosIraNuevo" 
		name="w83bFormBusqUsuarios" scope="request" type="w83b.w83bOperacionesPaso.w83bMantenimientos.w83bUsuarios.W83bTablaUsuariosIraNuevoAction" 
			 validate="false">
			<forward name="ok" path="/w83bInicioAnyadirUsuariosMenu.do"/>
			<forward name="error" path="/w83bInicioBusquedaUsuariosMenu.do"/>
		</action>
		<action path ="/w83bMovimientoUsuarios" 
			 parameter="w83bMovimientoUsuariosOI" 
			 validate="true" name="w83bFormNuevoUsuario" 
			 input="/w83bInicioAnyadirUsuariosMenu.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bInicioAnyadirUsuariosMenu.do" />
					<forward name="error" path="/w83bInicioAnyadirUsuariosMenu.do" />
		</action>
		<action path ="/w83bAltaUsuario" 
			 parameter="w83bAltaUsuarioOI" 
			 validate="true" name="w83bFormNuevoUsuario" 
			 input="/w83bInicioAnyadirUsuariosMenu.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bInicioAnyadirUsuariosMenu.do" />
					<forward name="error" path="/w83bInicioAnyadirUsuariosMenu.do" />
		</action>
		<action path ="/w83bTablaUsuariosDetalle" 
			 parameter="w83bDetalleUsuariosOI" 
			 validate="false" 
			 input="/w83bInicioBusquedaUsuariosMenu.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bInicioAnyadirUsuariosMenu.do" />
					<forward name="error" path="/w83bInicioAnyadirUsuariosMenu.do" />
		</action>
		<action path="/w83bTablaUsuariosAtrasNuevoEdicion" 
			name="w83bFormBusqUsuarios" scope="request" type="w83b.w83bOperacionesPaso.w83bMantenimientos.w83bUsuarios.W83bTablaUsuariosAtrasNuevoEdicionAction" 
			 validate="false">
			<forward name="ok" path="/w83bInicioBusquedaUsuariosMenu.do"/>
			<forward name="error" path="/w83bInicioAnyadirUsuariosMenu.do"/>
		</action>
			<action path="/w83bAtrasUsuariosBusq" 
		type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionRedirectOP"
		    parameter="$$$WEBROOT_W83B$$$/comunJSP/w83bPaginaBienvenida.do">
		</action> 
		<!-- Fin Operaciones Internas -->	
		<!-- SUB-OPERACIONES -->
		
		
	</action-mappings>

	<!-- Procesador de Operacion de Presentacion -->
	<controller processorClass="es.ejie.frmk.presentacion.operacion.Q70ProcesadorTilesOperacionDePresentacion" />
	<!-- Datos de Operacion de Presentacion -->
	
	<!-- Validaciones Genericas -->
	<plug-in className="es.ejie.frmk.presentacion.validacion.Q70ValidacionesGenericasPlugIn">
		<set-property property="pathnames" value="/WEB-INF/validators-config/validator-rules-w83b.xml,
											/WEB-INF/validators-config/mantenimientos/validation-Usuarios.xml"/>
	    <set-property property="i18nKey" value="w83bcomun" />
	</plug-in>

	<!-- Menus -->	
</struts-config>